html {
  overflow-x: hidden;
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;

  font-family: 'Inter', sans-serif;
  color: #fff;

  position: relative;
  min-height: 100dvh;
  overflow: hidden;

  background-image: url('../images/bg.jpg');

  background-size: cover;
  background-position: right;
  background-repeat: no-repeat;
}
.gradient {
  position: absolute;
  bottom: 0;
  height: 246px;
  width: 100%;
  z-index: 1;
  background: linear-gradient(0deg, #010104 0%, rgba(1, 1, 4, 0) 100%);
}

.man {
  position: absolute;
  bottom: 100px;
  left: 40%;
  transform: translateX(-70%);

  min-width: 465px;
  max-width: 465px;
}

.god-right {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(0%, -33%);
  min-width: 400px;
  max-width: 400px;
  max-height: none;

  animation: floatUpDown 3s ease-in-out infinite;
}

@keyframes floatUpDown {
  0% {
    transform: translate(0%, -33%) translateY(0px);
  }
  50% {
    transform: translate(0%, -33%) translateY(-15px);
  }
  100% {
    transform: translate(0%, -33%) translateY(0px);
  }
}

header {
  padding-inline: 10px;
  margin-top: 20px;
  position: relative;
  z-index: 4;
}

.logo {
  display: block;
  margin: 0 auto;
  width: 120px;
  margin-bottom: 8px;
}

h1 {
  font-size: 26px;
  font-weight: 900;
  line-height: 40px;
  text-align: center;
  text-transform: uppercase;
  margin-bottom: 10px;
}

header h2 {
  font-size: 22px;
  font-weight: 700;
  line-height: 30px;
  text-align: center;
}

/* ///////////////////  MAIN  ///////////////*/

main {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding-inline: 20px;

  position: relative;
  z-index: 3;
}

.wrapper {
  position: relative;

  width: 338px;
  height: 342px;
}

.wrapper::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url('../images/wheel-frame.webp');
  background-size: cover;
  background-position: center;
}

.wheel-wrap {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: 83%;
  height: 82%;
}

/* .wheel {
  animation: wheel-idle 6s linear infinite forwards;
} */

.light {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  z-index: -2;
  max-width: 450px;
  max-height: 450px;

  display: none;
}

.stopper {
  position: absolute;
  z-index: 3;

  width: 30px;

  top: 35%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.wheel.first-spin {
  animation: wheel-spin-1 5s cubic-bezier(0.13, 0.55, 0.24, 1) 1 forwards;
}
@keyframes wheel-spin-1 {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(1440deg);
  }
}

.btn-spin {
  background-image: url('../images/btn-frame.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  border: none;

  display: flex;
  align-items: center;
  justify-content: center;

  font-family: 'Inter', sans-serif;

  font-size: 24px;
  font-weight: 900;
  text-transform: uppercase;
  line-height: 1;
  color: #fff;
  cursor: pointer;

  animation: pulseFast 0.7s ease-in-out infinite;

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 5;
  width: 23%;
  height: 23%;

  filter: drop-shadow(0 0 5px rgba(56, 0, 19, 0.8));
}

@keyframes pulseFast {
  0% {
    transform: translate(-50%, -50%) scale(1);
  }
  50% {
    transform: translate(-50%, -50%) scale(1.05);
  }
  100% {
    transform: translate(-50%, -50%) scale(1);
  }
}

/* ///////////////////  FOOTER  ///////////////*/
.footer {
  width: 100%;
  margin: 0 auto;
  padding: 12px 20px;

  background: linear-gradient(
    360deg,
    rgba(1, 1, 4, 0.49) 0%,
    rgba(14, 4, 47, 0.7) 100%
  );

  z-index: 7;
}

.footer__payment {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  column-gap: 25px;
  margin-bottom: 8px;
}

.footer__payment li {
  display: flex;
  justify-content: center;
}

.footer__payment img {
  height: 22px;
}
.warn {
  max-width: 340px;
  width: 100%;
  display: block;
  margin: 0 auto;
}
/* //////////////////  POPUP ///////////////// */
/* Тюнінг часу */
:root {
  --popup-fade: 1s; /* тривалість появи бекдропу */
  --content-delay: 0.5s; /* затримка перед появою контенту */
  --content-in: 2s; /* тривалість анімації контенту */
  --content-scale: 0.5; /* стартовий масштаб контенту */
}

/* Оверлей: плавна поява по opacity */
.popup {
  position: fixed;
  inset: 0;
  z-index: 10000;

  opacity: 0;
  visibility: hidden;
  transition:
    opacity var(--popup-fade) ease-in-out,
    visibility var(--popup-fade) ease-in-out;

  overflow: auto;

  background: linear-gradient(
    0.22deg,
    rgba(48, 20, 130, 0.95) 3.33%,
    #0c0330 93.41%
  );
  backdrop-filter: blur(6px);
}

.popup.active {
  opacity: 1;
  visibility: visible;
}

.popup__content {
  position: fixed;
  top: 0;
  left: 50%;

  transform: translateX(-50%) scale(var(--content-scale));
  opacity: 0;

  transition:
    transform var(--content-in) cubic-bezier(0.22, 0.9, 0.25, 1)
      var(--content-delay),
    opacity var(--content-in) ease var(--content-delay);

  max-width: 480px;
  width: 90%;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 12px;

  padding: 12px;
  background: #10102b;
  border-radius: 16px;
}

.popup.active .popup__content {
  transform: translateX(-50%) scale(1);
  opacity: 1;
}

.box-top {
  border-radius: 16px;
  width: 100%;
  height: 200px;
  padding-top: 15px;

  background-image: url('../images/box-top-img-mob.webp');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: right top;
}

.box-top h3 {
  font-size: 24px;
  font-weight: 900;
  line-height: 36px;
  text-align: center;
  margin-bottom: 6px;
}
.box-top p {
  font-size: 22px;
  font-weight: 900;
  line-height: 26px;
  text-align: center;
  margin-bottom: 6px;
}
.box-top span {
  font-size: 18px;
}
.box-btm {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 12px;
}
.box-btm h2 {
  font-size: 28px;
  font-weight: 900;
  line-height: 36px;
  text-align: center;
}
.btn-wrap {
  width: 100%;
  height: 46px;

  background: #1b1b3e;
  padding: 4px;
  border-radius: 12px;

  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 12px;
}
.btn-wrap button {
  color: #fff;
  font-size: 16px;
  font-weight: 900;
  font-family: 'Inter', sans-serif;
  border-radius: 12px;

  width: 100%;
  height: 100%;
  transition: 0.2s ease;
}

.btn-wrap button:hover {
  background: #22224f;
}

.btn-wrap button.active {
  background: #333363;
}

form {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 12px;

  width: 100%;
}

input {
  width: 100%;
  height: 38px;
  border-radius: 12px;
  padding: 6px 12px;
  font-family: 'Inter', sans-serif;
  background: #1b1b3e;
  color: #fff;
}
input::placeholder {
  color: #fff;
  font-size: 16px;
  font-weight: 500;
}

.field-password {
  width: 100%;
  position: relative;
}
.toggle-password {
  position: absolute;
  width: 24px;
  height: 24px;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
}

.currency-wrap {
  display: flex;
  flex-direction: column;
  gap: 2px;

  border-radius: 12px;
  padding: 6px 12px;
  background: #1b1b3e;
  width: 100%;
}
.currency-wrap h3 {
  font-size: 16px;
  line-height: 26px;
  font-weight: 500;
}
.currency-wrap span {
  font-size: 18px;
  line-height: 26px;
  font-weight: 800;
}

.checkbox-wrap {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.checkbox-item {
  display: flex;
  align-items: flex-start;
  gap: 12px;
  cursor: pointer;
}

.checkbox-item input {
  display: none;
}

.checkbox-box {
  width: 22px;
  height: 22px;
  min-width: 22px;
  border-radius: 6px;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}

.checkbox-box::after {
  content: '';
  display: none;
  width: 7px;
  height: 11px;
  border: 2px solid #333363;
  border-top: none;
  border-left: none;
  transform: rotate(45deg);
  margin-bottom: 3px;
}

.checkbox-item input:checked + .checkbox-box {
  border: 2px solid #333363;
}

.checkbox-item input:checked + .checkbox-box::after {
  display: block;
}

.checkbox-box.error {
  border: 2px solid #e5004e;
}

.checkbox-text {
  font-size: 12px;
  line-height: 18px;
  font-weight: 500;
  color: #fff;
}

.colored-text {
  color: #b32555;
}

.submit-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 12px;

  width: 100%;
  height: 58px;

  font-size: 18px;
  font-weight: 900;

  font-family: 'Inter', sans-serif;
  color: #fff;
  background-color: #c30054;
  transition: 0.2s ease;
}
.submit-btn:hover {
  background-color: #a80049;
}

.socials-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 6px;
}
.socials-wrap p {
  font-size: 12px;
  line-height: 20px;
  font-weight: 500;
}
.socials-wrap span {
  color: #c30054;
}
.social-list {
  display: flex;
  gap: 22px;
}
.social-list img {
  width: 32px;
  height: 32px;
}

/* Оверлей */
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  backdrop-filter: blur(8px);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

/* Спінер */
.spinner {
  width: 60px;
  height: 60px;
  border: 6px solid rgba(255, 255, 255, 0.3);
  border-top-color: #fff;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

@keyframes wheel-idle {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
